### Hierarchy

- unknown
  - GetInventoryResponse

## Index

### Constructors

- constructor

### Methods

- clearInventoryMap
- getInventoryMap
- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetInventoryResponse(): GetInventoryResponse

- Inherited from jspb.Message.constructor

  #### Returns GetInventoryResponse

## Methods

### clearInventoryMap

- clearInventoryMap(): GetInventoryResponse

- - Defined in src/protobuf/pb_pb.d.ts:605

  #### Returns GetInventoryResponse

### getInventoryMap

- getInventoryMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:604

  #### Returns Map<string, string>

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:607

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetInventoryResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:608

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetInventoryResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetInventoryResponse

- - Defined in src/protobuf/pb_pb.d.ts:611

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetInventoryResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetInventoryResponse, reader: BinaryReader): GetInventoryResponse

- - Defined in src/protobuf/pb_pb.d.ts:612

  #### Parameters

  - ##### message: GetInventoryResponse

  - ##### reader: BinaryReader

  #### Returns GetInventoryResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetInventoryResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:610

  #### Parameters

  - ##### message: GetInventoryResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetInventoryResponse ): GetInventoryResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:609

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetInventoryResponse

  #### Returns GetInventoryResponse . AsObject

Generated using TypeDoc